using APT.BaseData.Domain.Entities.BD;
using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
    [Description("首页：HMI区域")]
    [Redis("PAGE_FORM_ID")]
    [APT.Infrastructure.Api.RootOrg]
    public partial class T_PF_FORM_HOME_HMI : MesEntityBase
    {
        /// <summary>编码</summary>
        [Description("FORM ID")]
        public Guid PAGE_FORM_ID { get; set; }

        /// <summary>名称</summary>
        [Description("HMI的ID")]
        [DataFieldForeignKey("Nav_Hmi")]
        public Guid HMI_ID { get; set; }

        
        [Description("导航：HMI表")]
        public T_BD_HMI Nav_Hmi { get; set; }


    }
}